'use strict';

var _ = require('lodash');

var getViewerData = require('./getViewerData');

module.exports = getChartData;

function getChartData(_ref) {
  var bundleStats = _ref.bundleStats,
      bundleDir = _ref.bundleDir,
      logger = _ref.logger;

  var chartData = void 0;

  try {
    chartData = getViewerData({ bundleStats: bundleStats, bundleDir: bundleDir, logger: logger });
  } catch (err) {
    logger.error('Could\'t analyze webpack bundle:\n' + err);
    chartData = null;
  }

  if (_.isEmpty(chartData)) {
    logger.error("Could't find any javascript bundles in provided stats file");
    chartData = null;
  }

  return chartData;
}